Results 1 to 3 of 3

Thread: Arcos com Center Point e Angles.

  1. #1
    Member
    Join Date
    2008-02
    Posts
    29
    Login to Give a bone
    0

    Default Arcos com Center Point e Angles.

    Ola Pessoal .,

    Estava levantando umas informações de um projeto, e vi que erroneamente o técnico me mandou uma especificação de arcos enviando somente o Ponto Central (Center Point) e os angulos inicial (Start Angle) e final (End Angle).
    Sei desenha-lo facilmente, só que é preciso usar muitos recursos, como lines e verificação dos angulos, etc ...

    Existe alguma opção no commando ARC ou pelo LISP que desenhe estes arcos diretamente via linha de commando ?

  2. #2
    Member
    Join Date
    2008-02
    Posts
    29
    Login to Give a bone
    0

    Default Re: Arcos com Center Point e Angles.

    Ola pessoal,

    Só para matar esse assunto, eu só consegui fazer o arco usando (entmake) e passando os parametros de criação através dos códigos DXF.
    Foi meio suado, mas deu certo.

    Um item que tem que ficar atento, é o código 210 (Código de Extrusão). Em alguns casos ele está padrão (0,0,1), mas em outros ele está invertido (0,0,-1), e isso faz uma grande diferença na posição do arco.

    Valeu

  3. #3
    Member
    Join Date
    2007-06
    Location
    Sumaré
    Posts
    36
    Login to Give a bone
    0

    Default Re: Arcos com Center Point e Angles.

    Olá olamer!

    espero que este exemplo em VBA te ajude:

    Public Sub Arc()
    Dim CenterPoint As Variant
    Dim AngleI As Double
    Dim AngleF As Double
    Dim raio As Double
    Dim Vlayer As String
    CenterPoint = ThisDrawing.Utility.GetPoint(, "Centro do Arco: ")
    AngleI = ThisDrawing.Utility.GetString(True, "Angulo Inicial: ")
    AngleF = ThisDrawing.Utility.GetString(True, "Angulo Final: ")
    raio = ThisDrawing.Utility.GetString(True, "Raio do Arco: ")
    Vlayer = "0"
    AddArc CenterPoint(0), CenterPoint(1), CenterPoint(2), raio, AngleI, AngleF, Vlayer
    End Sub
    Function AddArc(ByRef Center_ArcX As Variant, ByRef Center_ArcY As Variant, ByRef Center_ArcZ As Variant, ByRef Radius_Arc As Variant, ByRef StartArcAngle As Variant, ByRef EndArcAngle As Variant, ByRef Clayer As String)
    Dim arcObj As AcadArc: Dim centerArcPoint(0 To 2) As Double: Dim radius As Double
    Dim startAngleInDegree As Double: Dim endAngleInDegree As Double
    Dim startAngleInRadian As Double: Dim endAngleInRadian As Double
    centerArcPoint(0) = Center_ArcX
    centerArcPoint(1) = Center_ArcY
    centerArcPoint(2) = Center_ArcZ
    startAngleInRadian = StartArcAngle * 3.141592 / 180#
    endAngleInRadian = EndArcAngle * 3.141592 / 180#
    Set arcObj = ThisDrawing.ModelSpace.AddArc(centerArcPoint, Radius_Arc, startAngleInRadian, endAngleInRadian)
    arcObj.Layer = Clayer
    ThisDrawing.Regen acActiveViewport
    ZoomExtents
    End Function

    este exemplo constrói um arco solicitando ao usuário o centro, angulo inicial, angulo final e raio, foi o que eu entendi com relação a sua duvida caso eu possa lhe ajudar mais pode me enviar email's..

Similar Threads

  1. Center Point Rectangle
    By inventor.wishlist1738 in forum Inventor Wish List
    Replies: 3
    Last Post: 2015-10-12, 03:29 PM
  2. Joining Channels to Angles sends components skewing at odd angles. (REVIT Struct 2012)
    By Melissa.Stewart1980 in forum Revit Structure - General
    Replies: 4
    Last Post: 2012-05-25, 05:56 PM
  3. Center Point
    By BeKirra in forum AutoLISP
    Replies: 19
    Last Post: 2010-04-08, 02:20 AM
  4. Replies: 10
    Last Post: 2007-03-23, 01:50 AM
  5. Draw 2circles from 1 center point
    By windowsxp5 in forum AutoLISP
    Replies: 7
    Last Post: 2005-09-25, 03:44 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •